<div *ngIf="errorMessage; else noError" class="alert alert-warning">
  <strong>Warning!</strong> {{errorMessage | json}}
</div>

<ng-template #noError>
  <div *ngIf="!this.svg; else elseLoading">
    <app-loading-screen></app-loading-screen>
  </div>
</ng-template>

<ng-template #elseLoading>


  

  <div class="mx-5">
    <app-zoom-pan-container class="svg-models" #models>
      <div [innerHTML]="svg"></div>
    </app-zoom-pan-container>
  </div>

  <div class="container">
    <button class="btn btn-success" id="buttonResetView" (click)="models.reset()">Reset view</button>
    <!--<div *ngIf="this.demoData.AsIs.OldAsIsModel != null;">
      <button class="btn btn-success" id="buttonShowDifferenceFromOldAsIsModel" (click)="toogleShowComparison(); models.reset()">Toogle difference</button>
    </div> -->
    <div id="buttons2" *ngIf="currentAdaptation == null; else elseBlockSelectAdaptionButton">
      <button class="btn btn-danger" id="buttonConfirmAdaptionLocked" (click)="alertNoAdaptionSelected()">Confirm selected adaptation</button>
    </div>
    <ng-template #elseBlockSelectAdaptionButton>
      <button class="btn btn-success" id="buttonConfirmAdaption" (click)=adaptationConfirmed()>Confirm selected adaptation</button>
    </ng-template>
  </div>

  <div class="container-fluid" id="alertNoAdaptionSelected" *ngIf="clickedConfirmAdaptionLockedButton == true;">
    <ngb-alert width="100%" type="danger" (closed)="clickedConfirmAdaptionLockedButton = false">
      <strong>Warning!</strong> You have to select an adaptation first.
    </ngb-alert>
  </div>

  <div class="container">
    <p>{{ this.svgStatus }} <br>
    Current Risklevel: &nbsp;&nbsp;
    {{ this.sendInput.AsIs.Risklevel }}</p>
  </div>

  <div class="container-fluid mt-2">
    <div class="row app-container p-2">
      <div class="col-lg-12 offset-md-0">

        <div *ngIf="this.AsIsRisks != null;">

          <div *ngIf="this.AsIsRisks.length == 0; else elseBlockRisks">
            <p>No PCP instances</p>
          </div>

          <ng-template #elseBlockRisks>
            <p>PCP instances in the as is model</p>

            <div class="table-responsive">
              <table class="table table-condensed">

                <tr>
                  <th width="5%">#</th>
                  <th width="15%">Name</th>
                  <th width="65%">Risk description</th>
                  <th width="15%">Actions</th>
                </tr>

                <tbody>
                <tr *ngFor="let risk of this.AsIsRisks ; index as i">
                  <th scope="row">{{ i + 1 }}</th>
                  <td>{{ risk.Name }}</td>
                  <td>{{ risk.Description }}</td>
                  <td>
                    <div class="btn btn-danger" [attr.id]="'risk' + i" (click)="selectRisks(risk, i); models.reset()">
                      Select
                    </div>
                  </td>
                </tr>
                </tbody>

              </table>
            </div>
          </ng-template>
        </div>
      </div>
    </div>
  </div>

  
  <div class="container-fluid mt-2">
    <div class="row app-container p-2">
      <div class="col-lg-12 offset-md-0">

        <div *ngIf="this.Adaptations.length == 0; else elseBlockAdaptions">
          <p>No Adaptations</p>
        </div>

        <ng-template #elseBlockAdaptions>
          <p>Adaptations to be selected</p>

          <div class="table-responsive">
            <table class="table table-condensed">

              <tr>
                <th width="5%">#</th>
                <th width="15%">Name</th>
                <th width="55%">Description</th>
                <th width="10%">Risk Level</th>
                <th width="10%">Actions</th>
                <th width="5%"></th>
              </tr>

              <tbody>
              <tr *ngFor="let adaptation of this.Adaptations; index as i">
                <th scope="row">{{ i + 1 }}</th>
                <td>{{ adaptation.Name }}</td>
                <td>{{ adaptation.Description }}</td>
                <td>{{ adaptation.Risklevel }}</td>
                <td>
                  <div class="btn btn-danger" [attr.id]="'adaptionButton' + i" (click)="selectAdaption(adaptation, i); models.reset()">
                    Select
                  </div>
                </td>
                <td>
                  <div id="buttonsActions" *ngIf="adaptation.Risks.length > 0;">
                    <button class="btn btn-danger" [attr.id]="'adaptionRiskButton' + i" (click)="inspectRiskAdaptation(adaptation, i);">
                      Inspect PCP instances
                    </button>
                  </div>
                </td>
              </tr>
              </tbody>

            </table>
          </div>

          <!--table to show the Risks of a specific Adaptation-->
          <div *ngIf="this.showAdaptationRiskTable == true">
            <p>PCP instances of the selected Adaptation with the ID: {{ this.showAdaptationRisksIndex }}</p>

              <div class="table-responsive">
                <table class="table table-condensed">
  
                  <tr>
                    <th width="5%">#</th>
                    <th width="15%">Name</th>
                    <th width="65%">Description</th>
                    <th width="15%">Actions</th>
                  </tr>
  
                  <tbody>
                  <tr *ngFor="let risk of this.showAdaptationRisks.Risks; index as i">
                    <th scope="row">{{ i + 1 }}</th>
                    <td>{{ risk.Name }}</td>
                    <td>{{ risk.Description }}</td>
                    <td>
                      <div class="btn btn-danger" [attr.id]="'adaptationRiskButton' + i" (click)="inspectSpecificRisk(risk); models.reset()">
                        Select
                      </div>
                    
                    </td>
                  </tr>
                </tbody>
  
              </table>
            </div>
          </div>
          
            
          
        </ng-template>
      </div>
    </div>
  </div>

</ng-template>
